require "thor"
require "phonehome"

class Phonehome::CLI < Thor
  desc "call", "monitor event"
  option :cmd, :required => true
  option :access_token, :required => true
  option :event_id, :required => true
  def call()
    cmd = options[:cmd]
    access_token = options[:access_token]
    event_id = options[:event_id]

    puts "cmd:#{cmd}"
    puts "access_token:#{access_token}"
    puts "event_id:#{event_id}"

    puts "STARTING PHONEHOME CALL"
    puts "running:#{cmd}"
    
    result = Phonehome.call(access_token, event_id) do
      `#{cmd}`
    end

    puts "result:#{result}"
    puts "DONE PHONEHOME CALL"
    result
  end


end